GDB (xrefs)

Public Attributes | List of all members
gnat_aux_type Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
struct type * | descriptive_type

## Detailed Description

GNAT Ada-specific information for various Ada types.

Definition at line 1049 of file gdbtypes.h.

## Member Data Documentation

## ◆ descriptive_type

struct type* gnat_aux_type::descriptive_type

Parallel type used to encode information about dynamic types used in Ada (such as variant records, variable-size array, etc).

Definition at line 1054 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h